Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.core.impl.heuristic.selector.variable
Enum PlanningValueSelectionOrder

    java.lang.Object
      java.lang.Enum<PlanningValueSelectionOrder>
          org.optaplanner.core.impl.heuristic.selector.variable.PlanningValueSelectionOrder

All Implemented Interfaces:
  Serializable, Comparable<PlanningValueSelectionOrder>

    public enum PlanningValueSelectionOrder

extends Enum<PlanningValueSelectionOrder>

Enum Constant Summary
`INCREASING_STRENGTH`
`ORIGINAL`
`RANDOM`

Method Summary
`static PlanningValueSelectionOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PlanningValueSelectionOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ORIGINAL

    public static final PlanningValueSelectionOrder ORIGINAL

### RANDOM

    public static final PlanningValueSelectionOrder RANDOM

### INCREASING_STRENGTH

    public static final PlanningValueSelectionOrder INCREASING_STRENGTH

Method Detail

### values

    public static PlanningValueSelectionOrder[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PlanningValueSelectionOrder c : PlanningValueSelectionOrder.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PlanningValueSelectionOrder valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.